> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/publishing/apps/file-extensions.md).

# File Extensions

## Create

> Add a file extension for the specified published RD Session Host application.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/PubItems/{id}/Apps/FileExtensions":{"post":{"tags":["3-Publishing/Applications//File Extensions"],"summary":"Create","description":"Add a file extension for the specified published RD Session Host application.","operationId":"41e7bf2e-7a05-4ec2-b9e9-b48f70963c4a","parameters":[{"name":"id","in":"path","description":"ID of the published RD Session Host application to be updated","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"description":"File extension for published RD Session Host application to be added","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/SetPubItemExtension"}}}},"responses":{"201":{"description":"Created"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"SetPubItemExtension":{"required":["extension"],"type":"object","properties":{"extension":{"type":"string","description":"<para type=\"description\">The file extension that will be added/modified.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Update a file extension of the published resource</para>\r\n<para type=\"description\"></para>"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Update

> Modify properties of a file extension for the specified published RD Session Host application.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/PubItems/{id}/Apps/FileExtensions/{extension}":{"put":{"tags":["3-Publishing/Applications//File Extensions"],"summary":"Update","description":"Modify properties of a file extension for the specified published RD Session Host application.","operationId":"51a35315-651d-438c-9926-fb2cb815dc43","parameters":[{"name":"id","in":"path","description":"ID of the published RD Session Host application to be updated","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"extension","in":"path","description":"Name of the file extension that will be updated","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"File extension for published RD Session Host application to be updated","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/SetPubAppFileExt"}}}},"responses":{"204":{"description":"No Content"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"SetPubAppFileExt":{"required":["extension"],"type":"object","properties":{"extension":{"type":"string","description":"<para type=\"description\">The file extension that will be added/modified.</para>","nullable":true},"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the file extension should be enabled or disabled for the specified published app.</para>","nullable":true},"parameters":{"type":"string","description":"<para type=\"description\">File extension parameters for the specified published app.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Update a file extension of the published application</para>\r\n<para type=\"description\"></para>"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Delete

> Remove a file extension from the specified published RD Session Host application.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/PubItems/{id}/Apps/FileExtensions/{extension}":{"delete":{"tags":["3-Publishing/Applications//File Extensions"],"summary":"Delete","description":"Remove a file extension from the specified published RD Session Host application.","operationId":"4c4e972c-8ce8-4ea7-a2ad-943448e17d19","parameters":[{"name":"id","in":"path","description":"ID of the published RD Session Host application to be updated","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"extension","in":"path","description":"The file extension that will be deleted","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"No Content"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/publishing/apps/file-extensions.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
